com.tibco.n2.service.adapter.http

## Class SAWebITBootstrapServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.tibco.n2.service.adapter.http.SAWebITBootstrapServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public abstract class SAWebITBootstrapServlet
      extends javax.servlet.http.HttpServlet

  WebIT components residing in the AMX BPM platform should extend this class.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResourceFactory` | `resourceFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAWebITBootstrapServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceFactory` | `getResourceFactory()`
    `ServiceAdapter` | `getServiceAdapter()`
    `void` | `setBusinessDataServices(com.tibco.bds.api.services.BusinessDataServices bdsPublicService)`
    `void` | `setBusinessDataServicesAdminService(com.tibco.bds.api.services.BusinessDataServicesAdminService bdsAdminService)`
    `void` | `setBusinessDeadlineService(com.tibco.n2.dac.api.services.BusinessDeadlineService businessDeadlineService)`
    `void` | `setBusinessService(com.tibco.n2.busserv.api.services.BusinessService businessService)`
    `void` | `setCalendarService(com.tibco.n2.dac.api.services.CalendarService calendarService)`
    `void` | `setChannelBusService(com.tibco.n2.wp.api.services.ChannelBusService channelBusService)`
    `void` | `setDirectoryService(com.tibco.n2.de.api.services.DirectoryService directoryService)`
    `void` | `setEntityResolverService(com.tibco.n2.de.api.services.EntityResolverService entityResolverService)`
    `void` | `setEventCollectorMeasuresService(com.tibco.n2.ec.api.services.EventCollectorMeasuresService eventCollectorMeasuresService)`
    `void` | `setEventCollectorQueryService(com.tibco.n2.ec.api.services.EventCollectorQueryService eventCollectorQueryService)` Setters
    `void` | `setExporterService(com.tibco.n2.de.api.services.ExporterService exporterService)`
    `void` | `setOrganisationalEntityConfigService(com.tibco.n2.brm.api.services.OrganisationalEntityConfigService organisationalEntityConfigService)`
    `void` | `setOrgModelService(com.tibco.n2.de.api.services.OrgModelService orgModelService)`
    `void` | `setOrgResourceService(com.tibco.n2.de.api.services.OrgResourceService orgResourceService)`
    `void` | `setProcessManagementService(com.tibco.n2.process.management.api.ProcessManagerService processManagementService)`
    `void` | `setResourceQueryService(com.tibco.n2.de.api.services.ResourceQueryService resourceQueryService)`
    `void` | `setSecurityService(com.tibco.n2.de.api.services.SecurityService securityService)`
    `void` | `setUserSettingsService(com.tibco.n2.de.api.services.UserSettingsService userSettingsService)`
    `void` | `setWorkCalService(com.tibco.n2.dac.api.services.WorkCalService workCalService)`
    `void` | `setWorkItemManagementService(com.tibco.n2.brm.api.services.WorkItemManagementService workItemManagementService)`
    `void` | `setWorkItemSchedulerService(com.tibco.n2.brm.api.services.WorkItemSchedulerService workItemSchedulerService)`
    `void` | `setWorkListService(com.tibco.n2.brm.api.services.WorkListService workListService)`
    `void` | `setWorkModelBrowserService(com.tibco.n2.brm.api.services.WorkModelBrowserService workModelBrowserService)`
    `void` | `setWorkPresentationService(com.tibco.n2.wp.api.services.WorkPresentationService workPresentationService)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceFactory

          protected ResourceFactory resourceFactory

  - ### Constructor Detail

    - #### SAWebITBootstrapServlet

          public SAWebITBootstrapServlet()

  - ### Method Detail

    - #### getServiceAdapter

          public ServiceAdapter getServiceAdapter()

    - #### getResourceFactory

          public ResourceFactory getResourceFactory()

    - #### setEventCollectorQueryService

          public void setEventCollectorQueryService(com.tibco.n2.ec.api.services.EventCollectorQueryService eventCollectorQueryService)

      Setters

    - #### setWorkModelBrowserService

          public void setWorkModelBrowserService(com.tibco.n2.brm.api.services.WorkModelBrowserService workModelBrowserService)

    - #### setWorkItemManagementService

          public void setWorkItemManagementService(com.tibco.n2.brm.api.services.WorkItemManagementService workItemManagementService)

    - #### setWorkItemSchedulerService

          public void setWorkItemSchedulerService(com.tibco.n2.brm.api.services.WorkItemSchedulerService workItemSchedulerService)

    - #### setWorkListService

          public void setWorkListService(com.tibco.n2.brm.api.services.WorkListService workListService)

    - #### setOrganisationalEntityConfigService

          public void setOrganisationalEntityConfigService(com.tibco.n2.brm.api.services.OrganisationalEntityConfigService organisationalEntityConfigService)

    - #### setEntityResolverService

          public void setEntityResolverService(com.tibco.n2.de.api.services.EntityResolverService entityResolverService)

    - #### setSecurityService

          public void setSecurityService(com.tibco.n2.de.api.services.SecurityService securityService)

    - #### setUserSettingsService

          public void setUserSettingsService(com.tibco.n2.de.api.services.UserSettingsService userSettingsService)

    - #### setExporterService

          public void setExporterService(com.tibco.n2.de.api.services.ExporterService exporterService)

    - #### setResourceQueryService

          public void setResourceQueryService(com.tibco.n2.de.api.services.ResourceQueryService resourceQueryService)

    - #### setOrgResourceService

          public void setOrgResourceService(com.tibco.n2.de.api.services.OrgResourceService orgResourceService)

    - #### setWorkPresentationService

          public void setWorkPresentationService(com.tibco.n2.wp.api.services.WorkPresentationService workPresentationService)

    - #### setChannelBusService

          public void setChannelBusService(com.tibco.n2.wp.api.services.ChannelBusService channelBusService)

    - #### setProcessManagementService

          public void setProcessManagementService(com.tibco.n2.process.management.api.ProcessManagerService processManagementService)

    - #### setCalendarService

          public void setCalendarService(com.tibco.n2.dac.api.services.CalendarService calendarService)

    - #### setBusinessDeadlineService

          public void setBusinessDeadlineService(com.tibco.n2.dac.api.services.BusinessDeadlineService businessDeadlineService)

    - #### setEventCollectorMeasuresService

          public void setEventCollectorMeasuresService(com.tibco.n2.ec.api.services.EventCollectorMeasuresService eventCollectorMeasuresService)

    - #### setOrgModelService

          public void setOrgModelService(com.tibco.n2.de.api.services.OrgModelService orgModelService)

    - #### setWorkCalService

          public void setWorkCalService(com.tibco.n2.dac.api.services.WorkCalService workCalService)

    - #### setDirectoryService

          public void setDirectoryService(com.tibco.n2.de.api.services.DirectoryService directoryService)

    - #### setBusinessDataServices

          public void setBusinessDataServices(com.tibco.bds.api.services.BusinessDataServices bdsPublicService)

    - #### setBusinessDataServicesAdminService

          public void setBusinessDataServicesAdminService(com.tibco.bds.api.services.BusinessDataServicesAdminService bdsAdminService)

    - #### setBusinessService

          public void setBusinessService(com.tibco.n2.busserv.api.services.BusinessService businessService)

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.